*************************************
*** DECEMBER 2010 YOUGOV / POLIMETRIX
*** (SECRET BALLOT SURVEY) **********
*************************************
use RawData/yale0015_output.dta, clear

set more 1

*Mentioned in text of discussion section
tab yal038 yal001 [aw=weight] if yal038<8, col
tab yal018 [aw=weight] if yal018<8

***********************************
***NAES
***********************************
use RawData/ELECPNL.DTA, clear
qui append using RawData/CS010119.DTA

recode CR34 (1=1) (2=0) (3=0) (4=0) (*=.), gen(voted)
recode CR47 CR48 (1/2=1) (3/4=0) (*=.), gen(family guilty)
keep family guilty voted

reg vote family guilty
keep if e(sample)
version 15: table family guilty, c(mean voted freq)


*Table A7
version 15: table family, c(mean voted freq)
version 15: table guilty, c(mean voted freq)
ttest vote, by(family)
ttest vote, by(guilty)

****************************
*** 2014 YOUGOV / POLIMETRIX 
*** (PRIMARY HP SURVEY) ****
****************************
set more off

use RawData/YALE0052_OUTPUT_with_context_vars.DTA, clear

qui foreach var of varlist * {
  local temp = lower("`var'")
  rename `var' `temp'
}

duplicates drop

***************************
* recode survey questions
***************************

* In this block for ease of presentation everything is just coded as agree or not.

* Excuses by election type
foreach var of varlist yhp34a yhp34b yhp34c yhp34g {
  recode `var' (1 = 1) (2 = 1) (3 = 0) (4 = 0) (* = .), gen(excuse_pres_`var')
}

label var excuse_pres_yhp34a "Presidential - I Didn't know enough about candidates"
label var excuse_pres_yhp34b "Presidential - Moved, so wasn't aware of everything in the election"
label var excuse_pres_yhp34c "Presidential - Didn't think it would matter who won"
label var excuse_pres_yhp34g "Presidential - Didn't realize it was Election Day"

foreach var of varlist yhp35a yhp35b yhp35c yhp35g {
  recode `var' (1 = 1) (2 = 1) (3 = 0) (4 = 0) (* = .), gen(excuse_house_`var')
}

label var excuse_house_yhp35a "House - I Didn't Know Enough about Candidates"
label var excuse_house_yhp35b "House - Moved, so wasn't aware of everything in the election"
label var excuse_house_yhp35c "House - Didn't think it would matter who won"
label var excuse_house_yhp35g "House - Didn't realize it was Election Day"

foreach var of varlist yhp36a yhp36b yhp36c yhp36g {
  recode `var' (1 = 1) (2 = 1) (3 = 0) (4 = 0) (* = .), gen(excuse_hprim_`var')
}

label var excuse_hprim_yhp36a "House Primary - I Didn't Know Enough about Candidates"
label var excuse_hprim_yhp36b "House Primary - Moved, so wasn't aware of everything in the election"
label var excuse_hprim_yhp36c "House Primary - Didn't think it would matter who won"
label var excuse_hprim_yhp36g "House Primary - Didn't realize it was Election Day"

* Set constant sample
qui regress excuse_pres_yhp34a excuse_house_yhp35a excuse_hprim_yhp36a excuse_pres_yhp34b excuse_house_yhp35b excuse_hprim_yhp36b excuse_pres_yhp34c excuse_house_yhp35c excuse_hprim_yhp36c excuse_pres_yhp34g excuse_house_yhp35g excuse_hprim_yhp36g [weight=weight]
keep if e(sample)

*weighted (Table A8)
summ excuse_pres_yhp34a excuse_house_yhp35a excuse_hprim_yhp36a excuse_pres_yhp34b excuse_house_yhp35b excuse_hprim_yhp36b excuse_pres_yhp34c excuse_house_yhp35c excuse_hprim_yhp36c excuse_pres_yhp34g excuse_house_yhp35g excuse_hprim_yhp36g [weight=weight]
outsum excuse_pres_yhp34a excuse_house_yhp35a excuse_hprim_yhp36a excuse_pres_yhp34b excuse_house_yhp35b excuse_hprim_yhp36b excuse_pres_yhp34c excuse_house_yhp35c excuse_hprim_yhp36c excuse_pres_yhp34g excuse_house_yhp35g excuse_hprim_yhp36g [weight=weight] using "Tables/TableA8_excuses", bracket title("weighted") replace

foreach t in pres_yhp34 house_yhp35 hprim_yhp36{
foreach e in b c g{
qui mean excuse_`t'a excuse_`t'`e' [aweight = weight]
qui lincom excuse_`t'a-excuse_`t'`e'
//flag if t-statistic < 3 (none)
if abs(r(estimate)/r(se))<3{
disp "`t'" "`e'" 
}
}
}

mean  excuse_pres_yhp34a excuse_house_yhp35a excuse_hprim_yhp36a   [aweight = weight]
lincom excuse_pres_yhp34a-excuse_house_yhp35a
lincom excuse_pres_yhp34a-excuse_hprim_yhp36a
lincom excuse_house_yhp35a-excuse_hprim_yhp36a
 
**relationship between having voted in the primary and acceptability of excuses. By far largest relationship is for lack of information (30% diff, v. 20ish for others).
recode yhp12_r (5=1) (1/4=0), gen(voted_prim)
reg excuse_hprim_yhp36a voted_prim [aw=weight]
reg excuse_hprim_yhp36b voted_prim [aw=weight]
reg excuse_hprim_yhp36c voted_prim [aw=weight]
reg excuse_hprim_yhp36g voted_prim [aw=weight]
